Subject: Re: Cascading Bond devices

From: Ding Tianhong <[email-masked]>
Date: Fri, 7 Feb 2014 16:27:52 +0800

On 2014/2/7 15:41, Thomas Glanzmann wrote:
> Hello,
> I wonder if it is possible to cascade bond devices. I have currently a
> box with four network cards. Two are going to switch a and two are going
> to switchb. And what I would like to do is the following:
> 
> switch-01 port 1 - eth0 \
> switch-01 port 2 - eth1 - bond0 (802.3ad Layer 2 hash) \
> switch-02 port 1 - eth2 - bond1 (802.3ad Layer 2 hash) - bond2 (active-passive)
> switch-02 port 2 - eth3 /
> 
> If it is possible, how would I configure such a scenario? bond0 and
> bond1 is easy and in fact I already have them. But I don't get howto to
> use adifferent hashing algorithm for bond2.
> 

Hi Thomas:

bond2 (active-passive)？ if you mean active-backup,
I think this situation will work well, and I test it by two card:

 switch-01 port 2 - eth1 - bond0 (802.3ad Layer 2 hash) \
 switch-02 port 1 - eth2 - bond1 (802.3ad Layer 2 hash) - bond2 (active-backup) 

the bond2 could work.

> I also wanted to use tlb/alb in the past but experienced broadcast
> storms when using IPv6 on such devices. Also I was not able to set an
> IPv6 address because of duplicated address detection told me that it was
> already online on the subnet which it was not. This was with kernel 3.12
> and 3.13.
> 

I think you have to reset ipv6 address yourself.

Ding

> Cheers,
>         Thomas
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
>